classification
Title: Document that support of start and stop parameters in the Sequence's index() is optional
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Devin Jeanpierre, docs@python, nitishch, rhettinger, serhiy.storchaka, vstinner
Priority: normal Keywords: easy, patch

Created on 2017-11-04 09:10 by serhiy.storchaka, last changed 2017-12-12 10:58 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4277 merged nitishch, 2017-11-04 19:59
PR 4811 merged python-dev, 2017-12-12 10:22
Messages (6)
msg305547 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-04 09:10
Parameters start and stop were added to the Sequence.index() mixin method in 3.5 (see issue23086). But not all concrete implementations of the Sequence ABC support them (for example range.index() doesn't, see issue28197). This should be explicitly documented (including the docstring of Sequence.index).
msg305651 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-06 16:33
See also bpo-31956: "Add start and stop parameters to the array.index()".
msg307834 - (view) Author: Nitish (nitishch) * Date: 2017-12-08 03:59
Any comments on the PR?
msg308105 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-12-12 10:22
New changeset 5ce0a2a100909104836f53a2c8823006ec46f8ad by Victor Stinner (Nitish Chandra) in branch 'master':
bpo-31942: Document optional support of start and stop attributes in Sequence.index method (#4277)
https://github.com/python/cpython/commit/5ce0a2a100909104836f53a2c8823006ec46f8ad
msg308110 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-12-12 10:58
New changeset 78cd00b799be36a35c9f5cc99ce3bcef31112a5f by Victor Stinner (Miss Islington (bot)) in branch '3.6':
bpo-31942: Document optional support of start and stop attributes in Sequence.index method (GH-4277) (#4811)
https://github.com/python/cpython/commit/78cd00b799be36a35c9f5cc99ce3bcef31112a5f
msg308111 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-12-12 10:58
Thanks Nitish Chandra for your doc enhancement!
History
Date User Action Args
2017-12-12 10:58:55vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg308111

stage: patch review -> resolved
2017-12-12 10:58:28vstinnersetmessages: + msg308110
2017-12-12 10:22:40python-devsetpull_requests: + pull_request4706
2017-12-12 10:22:37vstinnersetmessages: + msg308105
2017-12-08 03:59:27nitishchsetmessages: + msg307834
2017-11-06 16:33:04vstinnersetnosy: + vstinner
messages: + msg305651
2017-11-04 20:10:42nitishchsetnosy: + nitishch
2017-11-04 19:59:30nitishchsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request4239
2017-11-04 09:12:26serhiy.storchakasetnosy: + Devin Jeanpierre
2017-11-04 09:10:01serhiy.storchakacreate